#version 330

uniform sampler2D texture;
uniform sampler2D textureNormal;

uniform vec3 sunPosition;
uniform vec3 modelPosition;
uniform vec3 color;
uniform bool picked;

in vec2 texCoord;

void main()
{           
    //vec3 BumpNorm = texture2D(textureNormal, fTexCoord.st).rgb;
	//BumpNorm = normalize((BumpNorm -0.5) * 2.0);
	
	//float NdotL = max(dot(BumpNorm, fLightDir), 0.0);
		
	//vec3 diffuse = vec3(1.0, 1.0, 1.0);
	vec3 ambient = vec3(0.2, 0.2, 0.2);
	
	vec3 light = ambient;
	//	fIntensity * ((NdotL * diffuse) + ambient);	
	
	vec4 diffuseColor = texture2D(texture, texCoord.st);
	diffuseColor.rgb *= light;	
	
	/* if (picked)
	{
		diffuseColor *= 2.0f;
	} */
	
	//gl_FragColor = vec4(diffuseColor.rgb, 1.0);	
	gl_FragColor = vec4(1, 0, 0, 1);
}
